﻿@model VerifyViewModel
@{
    if (!Request.IsPjaxRequest())
    {
        Layout = "~/Views/Shared/_AccountLayout.cshtml";
    }
    ViewBag.Title = "احراز هویت";
    var smsTimerEnd = Session["SMSCodeTimeEnd"] as Nullable<DateTime>;
}

<div class="row">
    <div class="col-md-12 account-list">
        <div class="table-responsive">
            <table class="table">
                <tbody>
                    <tr>
                        @if (Model.InformationCompleted)
                        {
                            <td>
                                <span class="fa fa-check" style="color:green"></span>
                            </td>
                            <th colspan="2">تکمیل کردن اطلاعات شخصی</th>
                        }
                        else
                        {
                            <td>
                                <span class="fa fa-remove" style="color:red"></span>
                            </td>
                            <th>
                                وارد کردن اطلاعات شخصی<br />
                                <small>می بایست نام، نام خانوادگی، جنسیت، ایمیل، موبایل و تلفن ثابت خود را در قسمت اطلاعات شخصی حساب کاربری وارد نموده باشید</small>
                            </th>
                            <td>
                                <a class="btn btn-sm btn-primary" href="@Url.Action("Index","Account")">وارد کردن اطلاعات</a>
                            </td>
                        }
                    </tr>
                    <tr>
                        @if (Model.EmailConfirmCompleted)
                        {
                            <td>
                                <span class="fa fa-check" style="color:green"></span>
                            </td>
                            <th colspan="2">
                                تایید آدرس ایمیل
                            </th>
                        }
                        else
                        {
                            <td>
                                <span class="fa fa-remove" style="color:red"></span>
                            </td>
                            <th>
                                تایید آدرس ایمیل<br />
                                <small>یک ایمیل برای شما ارسال می شود روی لینک آن کلیک کنید.</small>
                            </th>
                            <td>
                                <a class="btn btn-sm btn-secondary" href="#" id="resendEmailBtn" onclick="ReSendConfirmEmail(); return false;">ارسال مجدد ایمیل</a>
                            </td>
                        }
                    </tr>
                    <tr>
                        @if (Model.PhoneNumberConfirmCompleted)
                        {
                            <td>
                                <span class="fa fa-check" style="color:green"></span>
                            </td>
                            <th colspan="2">
                                تایید شماره موبایل
                            </th>
                        }
                        else
                        {
                            <td>
                                <span class="fa fa-remove" style="color:red"></span>
                            </td>
                            <th>
                                تایید شماره موبایل<br />
                                <small>یک کد برای شما پیامک می شود دکمه تایید موبایل را بزنید و کد را وارد نمایید.</small>
                            </th>
                            <td style="width:200px;" id="timertd">
                                @if (smsTimerEnd == null || !smsTimerEnd.HasValue || DateTime.UtcNow >= smsTimerEnd)
                                {
                                    <a class="btn btn-sm btn-secondary" href="#" id="resendSmsBtn" onclick="ReSendConfirmSMS(); return false;">ارسال مجدد پیامک</a>
                                }
                                else
                                {
                                    <a class="btn btn-sm btn-secondary disabled" href="#" id="smsTimer" onclick="ReSendConfirmSMS(); return false;" data-end="@smsTimerEnd.Value.Subtract(new DateTime(1970, 1,1)).TotalMilliseconds" style="font-size:12px;"></a>
                                }
                                <a class="btn btn-sm btn-success mt-2" href="#" onclick="ConfirmMobileCode(); return false;" id="confirmMobileBtn">تایید موبایل</a>
                            </td>
                        }
                    </tr>
                    <tr>
                        @if (Model.IdentityCompleted)
                        {
                            <td>
                                <span class="fa fa-check" style="color:green"></span>

                            </td>
                            <th colspan="2">
                                ارسال تصویر مدارک
                            </th>
                        }
                        else
                        {
                            <td>
                                <span class="fa fa-remove" style="color:red"></span>
                            </td>
                            <th>
                                ارسال تصویر مدارک<br />
                                <small>طبق دستور العمل مدارک شما باید ارسال شده باشد.</small>
                            </th>
                            <td>
                                <a class="btn btn-sm btn-primary" href="@Url.Action("Verification","Account")">ارسال مدارک</a>
                            </td>
                        }
                    </tr>
                    <tr>
                        @if (Model.TelephoneConfirmCompleted != null && Model.TelephoneConfirmCompleted.Value)
                        {
                            <td>
                                <span class="fa fa-check" style="color:green"></span>
                            </td>
                            <th colspan="2">
                                <span>
                                    تایید شماره تلفن ثابت<br />
                                </span>
                            </th>
                        }
                        else
                        {
                            <td>
                                <span class="fa fa-remove" style="color:red"></span>
                            </td>
                            <th>
                                تایید شماره تلفن ثابت<br />
                                <small>با تلفن ثابت شما تماس گرفته می شود</small>
                            </th>
                            <td>
                                @if (Model.TelephoneConfirmCompleted.HasValue)
                                {
                                    <span style="color:orange; font-size:12px;">
                                        منتظر تماس باشید
                                    </span>
                                }
                                else
                                {
                                    <span style="color:red; font-size:12px;">
                                        تلفن ثابت وارد نشده
                                    </span>
                                }
                            </td>
                        }
                    </tr>
                    <tr>
                        @if (Model.BankCardCompleted)
                        {
                            <td>
                                <span class="fa fa-check" style="color:green"></span>
                            </td>
                            <th colspan="2">
                                افزودن کارت بانکی
                            </th>
                        }
                        else
                        {
                            <td>
                                <span class="fa fa-remove" style="color:red"></span>
                            </td>
                            <th>
                                افزودن کارت بانکی<br />
                                <small>شماره کارت های بانکی که به نام شما باشد و قصد دارید با آن ها با ما وارد مبادله می شوید را وارد نمایید.</small>
                            </th>
                            <td>
                                <a class="btn btn-sm btn-primary" href="@Url.Action("BankCards","Account")">افزودن کارت بانکی</a>
                            </td>
                        }
                    </tr>
                </tbody>
            </table>
        </div>
    </div>
</div>